Component({
  externalClasses: ['my-class'],
  properties: {
    value: {
      type: String,
      value: '顶部提示语'
    },
    isShow: {
      type: Boolean,
      value: false,
      observer(newVal, oldVal) {
        // 属性值变化时执行

        if (newVal && !oldVal) {
          const animation = wx.createAnimation({
            duration: 600,
            timingFunction: 'ease'
          })
          this.animation = animation
          animation.height('80rpx').step()
          animation.height('0rpx').step()
          this.setData({
            animationData: animation.export(),
            isShow: false
          })
        }
      }

    },
    background: {
      type: String,
      value: '#4990e2'
    },
    color: {
      type: String,
      value: '#fff'
    }
  },
  data: {
    // tipContainerHeight: 0,
    animationData: {}
  }

})
